NodeProbe (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.tools

## Class NodeProbe

- java.lang.Object
- - org.apache.cassandra.tools.NodeProbe

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class NodeProbe
      extends java.lang.Object
      implements java.lang.AutoCloseable

  JMX client operations for Cassandra.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MessagingServiceMBean` | `msProxy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeProbe(java.lang.String host)` Creates a NodeProbe using the specified JMX host and default port.
    `NodeProbe(java.lang.String host, int port)` Creates a NodeProbe using the specified JMX host and port.
    `NodeProbe(java.lang.String host, int port, java.lang.String username, java.lang.String password)` Creates a NodeProbe using the specified JMX host, port, username, and password.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearSnapshot(java.lang.String tag, java.lang.String... keyspaces)` Remove all the existing snapshots.
    `void` | `close()`
    `void` | `decommission()`
    `java.util.List<java.lang.String>` | `describeRing(java.lang.String keyspaceName)`
    `void` | `disableAutoCompaction(java.lang.String ks, java.lang.String... columnFamilies)`
    `void` | `disableHintedHandoff()`
    `void` | `drain()`
    `java.util.Map<java.net.InetAddress,java.lang.Float>` | `effectiveOwnership(java.lang.String keyspace)`
    `void` | `enableAutoCompaction(java.lang.String ks, java.lang.String... columnFamilies)`
    `void` | `enableHintedHandoff()`
    `void` | `enableHintedHandoff(java.lang.String dcNames)`
    `void` | `forceKeyspaceCleanup(java.io.PrintStream out, java.lang.String keyspaceName, java.lang.String... columnFamilies)`
    `int` | `forceKeyspaceCleanup(java.lang.String keyspaceName, java.lang.String... columnFamilies)`
    `void` | `forceKeyspaceCompaction(java.lang.String keyspaceName, java.lang.String... columnFamilies)`
    `void` | `forceKeyspaceFlush(java.lang.String keyspaceName, java.lang.String... columnFamilies)`
    `void` | `forceRemoveCompletion()`
    `void` | `forceRepairAsync(java.io.PrintStream out, java.lang.String keyspaceName, boolean isSequential, java.util.Collection<java.lang.String> dataCenters, java.util.Collection<java.lang.String> hosts, boolean primaryRange, boolean fullRepair, java.lang.String... columnFamilies)`
    `void` | `forceRepairRangeAsync(java.io.PrintStream out, java.lang.String keyspaceName, boolean isSequential, java.util.Collection<java.lang.String> dataCenters, java.util.Collection<java.lang.String> hosts, java.lang.String startToken, java.lang.String endToken, boolean fullRepair, java.lang.String... columnFamilies)`
    `double[]` | `getAndResetGCStats()`
    `java.lang.Object` | `getCacheMetric(java.lang.String cacheType, java.lang.String metricName)` Retrieve cache metrics based on the cache type (KeyCache, RowCache, or CounterCache)
    `CacheServiceMBean` | `getCacheServiceMBean()`
    `ColumnFamilyStoreMBean` | `getCfsProxy(java.lang.String ks, java.lang.String cf)`
    `java.lang.String` | `getClusterName()`
    `java.lang.Object` | `getColumnFamilyMetric(java.lang.String ks, java.lang.String cf, java.lang.String metricName)` Retrieve ColumnFamily metrics
    `java.util.Iterator<java.util.Map.Entry<java.lang.String,ColumnFamilyStoreMBean>>` | `getColumnFamilyStoreMBeanProxies()`
    `javax.management.openmbean.TabularData` | `getCompactionHistory()`
    `CompactionManagerMBean` | `getCompactionManagerProxy()`
    `java.lang.Object` | `getCompactionMetric(java.lang.String metricName)` Retrieve Proxy metrics
    `int` | `getCompactionThroughput()`
    `int` | `getCurrentGenerationNumber()`
    `java.lang.String` | `getDataCenter()`
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getDroppedMessages()`
    `java.lang.String` | `getEndpoint()`
    `java.util.List<java.net.InetAddress>` | `getEndpoints(java.lang.String keyspace, java.lang.String cf, java.lang.String key)`
    `EndpointSnitchInfoMBean` | `getEndpointSnitchInfoProxy()`
    `int` | `getExceptionCount()`
    `java.lang.String` | `getGossipInfo()`
    `java.lang.management.MemoryUsage` | `getHeapMemoryUsage()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getHostIdMap()`
    `java.util.List<java.lang.String>` | `getJoiningNodes()`
    `java.util.List<java.lang.String>` | `getKeyspaces()`
    `java.util.List<java.lang.String>` | `getLeavingNodes()`
    `java.util.List<java.lang.String>` | `getLiveNodes()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getLoadMap()`
    `java.lang.String` | `getLoadString()`
    `java.lang.String` | `getLocalHostId()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getLoggingLevels()`
    `java.util.List<java.lang.String>` | `getMovingNodes()`
    `java.lang.String` | `getOperationMode()`
    `java.util.Map<java.net.InetAddress,java.lang.Float>` | `getOwnership()`
    `java.lang.String` | `getPartitioner()`
    `com.yammer.metrics.reporting.JmxReporter.TimerMBean` | `getProxyMetric(java.lang.String scope)` Retrieve Proxy metrics
    `java.lang.String` | `getRack()`
    `long` | `getReadRepairAttempted()`
    `long` | `getReadRepairRepairedBackground()`
    `long` | `getReadRepairRepairedBlocking()`
    `java.lang.String` | `getReleaseVersion()`
    `java.lang.String` | `getRemovalStatus()`
    `java.lang.String` | `getSchemaVersion()`
    `java.util.Map<java.lang.String,javax.management.openmbean.TabularData>` | `getSnapshotDetails()`
    `StorageProxyMBean` | `getSpProxy()`
    `java.util.List<java.lang.String>` | `getSSTables(java.lang.String keyspace, java.lang.String cf, java.lang.String key)`
    `long` | `getStorageMetric(java.lang.String metricName)` Retrieve Proxy metrics
    `java.util.Set<StreamState>` | `getStreamStatus()`
    `int` | `getStreamThroughput()`
    `java.util.Iterator<java.util.Map.Entry<java.lang.String,JMXEnabledThreadPoolExecutorMBean>>` | `getThreadPoolMBeanProxies()`
    `java.util.List<java.lang.String>` | `getTokens()`
    `java.util.List<java.lang.String>` | `getTokens(java.lang.String endpoint)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getTokenToEndpointMap()`
    `java.util.List<java.lang.String>` | `getUnreachableNodes()`
    `long` | `getUptime()`
    `void` | `invalidateCounterCache()`
    `void` | `invalidateKeyCache()`
    `void` | `invalidateRowCache()`
    `boolean` | `isFailed()`
    `boolean` | `isInitialized()`
    `boolean` | `isJoined()`
    `boolean` | `isNativeTransportRunning()`
    `boolean` | `isThriftServerRunning()`
    `void` | `joinRing()`
    `void` | `loadNewSSTables(java.lang.String ksName, java.lang.String cfName)`
    `double[]` | `metricPercentilesAsArray(com.yammer.metrics.reporting.JmxReporter.HistogramMBean metric)`
    `void` | `move(java.lang.String newToken)`
    `void` | `pauseHintsDelivery()`
    `void` | `rebuild(java.lang.String sourceDc)`
    `void` | `rebuildIndex(java.lang.String ksName, java.lang.String cfName, java.lang.String... idxNames)`
    `void` | `reloadTriggers()`
    `void` | `removeNode(java.lang.String token)`
    `void` | `resetLocalSchema()`
    `void` | `resumeHintsDelivery()`
    `java.util.List<java.lang.String>` | `sampleKeyRange()`
    `int` | `scrub(boolean disableSnapshot, boolean skipCorrupted, java.lang.String keyspaceName, java.lang.String... columnFamilies)`
    `void` | `scrub(java.io.PrintStream out, boolean disableSnapshot, boolean skipCorrupted, java.lang.String keyspaceName, java.lang.String... columnFamilies)`
    `void` | `setCacheCapacities(int keyCacheCapacity, int rowCacheCapacity, int counterCacheCapacity)`
    `void` | `setCacheKeysToSave(int keyCacheKeysToSave, int rowCacheKeysToSave, int counterCacheKeysToSave)`
    `void` | `setCompactionThreshold(java.lang.String ks, java.lang.String cf, int minimumCompactionThreshold, int maximumCompactionThreshold)` Set the compaction threshold
    `void` | `setCompactionThroughput(int value)`
    `void` | `setHintedHandoffThrottleInKB(int throttleInKB)`
    `void` | `setIncrementalBackupsEnabled(boolean enabled)`
    `void` | `setLoggingLevel(java.lang.String classQualifier, java.lang.String level)`
    `void` | `setStreamThroughput(int value)`
    `void` | `setTraceProbability(double value)`
    `void` | `startGossiping()`
    `void` | `startNativeTransport()`
    `void` | `startThriftServer()`
    `void` | `stop(java.lang.String string)`
    `void` | `stopCassandraDaemon()`
    `void` | `stopGossiping()`
    `void` | `stopNativeTransport()`
    `void` | `stopThriftServer()`
    `void` | `takeSnapshot(java.lang.String snapshotName, java.lang.String columnFamily, java.lang.String... keyspaces)` Take a snapshot of all the keyspaces, optionally specifying only a specific column family.
    `long` | `trueSnapshotsSize()`
    `void` | `truncate(java.lang.String keyspaceName, java.lang.String cfName)`
    `void` | `truncateHints()`
    `void` | `truncateHints(java.lang.String host)`
    `void` | `upgradeSSTables(java.io.PrintStream out, java.lang.String keyspaceName, boolean excludeCurrentVersion, java.lang.String... columnFamilies)`
    `int` | `upgradeSSTables(java.lang.String keyspaceName, boolean excludeCurrentVersion, java.lang.String... columnFamilies)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### msProxy

          public MessagingServiceMBean msProxy

  - ### Constructor Detail

    - #### NodeProbe

          public NodeProbe(java.lang.String host,
                   int port,
                   java.lang.String username,
                   java.lang.String password)
                    throws java.io.IOException

      Creates a NodeProbe using the specified JMX host, port, username, and password.
      Parameters:
        `host` - hostname or IP address of the JMX agent
        `port` - TCP port of the remote JMX agent
      Throws:
        `java.io.IOException` - on connection failures

    - #### NodeProbe

          public NodeProbe(java.lang.String host,
                   int port)
                    throws java.io.IOException

      Creates a NodeProbe using the specified JMX host and port.
      Parameters:
        `host` - hostname or IP address of the JMX agent
        `port` - TCP port of the remote JMX agent
      Throws:
        `java.io.IOException` - on connection failures

    - #### NodeProbe

          public NodeProbe(java.lang.String host)
                    throws java.io.IOException

      Creates a NodeProbe using the specified JMX host and default port.
      Parameters:
        `host` - hostname or IP address of the JMX agent
      Throws:
        `java.io.IOException` - on connection failures

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### forceKeyspaceCleanup

          public int forceKeyspaceCleanup(java.lang.String keyspaceName,
                                 java.lang.String... columnFamilies)
                                   throws java.io.IOException,
                                          java.util.concurrent.ExecutionException,
                                          java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### scrub

          public int scrub(boolean disableSnapshot,
                  boolean skipCorrupted,
                  java.lang.String keyspaceName,
                  java.lang.String... columnFamilies)
                    throws java.io.IOException,
                           java.util.concurrent.ExecutionException,
                           java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### upgradeSSTables

          public int upgradeSSTables(java.lang.String keyspaceName,
                            boolean excludeCurrentVersion,
                            java.lang.String... columnFamilies)
                              throws java.io.IOException,
                                     java.util.concurrent.ExecutionException,
                                     java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### forceKeyspaceCleanup

          public void forceKeyspaceCleanup(java.io.PrintStream out,
                                  java.lang.String keyspaceName,
                                  java.lang.String... columnFamilies)
                                    throws java.io.IOException,
                                           java.util.concurrent.ExecutionException,
                                           java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### scrub

          public void scrub(java.io.PrintStream out,
                   boolean disableSnapshot,
                   boolean skipCorrupted,
                   java.lang.String keyspaceName,
                   java.lang.String... columnFamilies)
                     throws java.io.IOException,
                            java.util.concurrent.ExecutionException,
                            java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### upgradeSSTables

          public void upgradeSSTables(java.io.PrintStream out,
                             java.lang.String keyspaceName,
                             boolean excludeCurrentVersion,
                             java.lang.String... columnFamilies)
                               throws java.io.IOException,
                                      java.util.concurrent.ExecutionException,
                                      java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### forceKeyspaceCompaction

          public void forceKeyspaceCompaction(java.lang.String keyspaceName,
                                     java.lang.String... columnFamilies)
                                       throws java.io.IOException,
                                              java.util.concurrent.ExecutionException,
                                              java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### forceKeyspaceFlush

          public void forceKeyspaceFlush(java.lang.String keyspaceName,
                                java.lang.String... columnFamilies)
                                  throws java.io.IOException,
                                         java.util.concurrent.ExecutionException,
                                         java.lang.InterruptedException

      Throws:
        `java.io.IOException`
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### forceRepairAsync

          public void forceRepairAsync(java.io.PrintStream out,
                              java.lang.String keyspaceName,
                              boolean isSequential,
                              java.util.Collection<java.lang.String> dataCenters,
                              java.util.Collection<java.lang.String> hosts,
                              boolean primaryRange,
                              boolean fullRepair,
                              java.lang.String... columnFamilies)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### forceRepairRangeAsync

          public void forceRepairRangeAsync(java.io.PrintStream out,
                                   java.lang.String keyspaceName,
                                   boolean isSequential,
                                   java.util.Collection<java.lang.String> dataCenters,
                                   java.util.Collection<java.lang.String> hosts,
                                   java.lang.String startToken,
                                   java.lang.String endToken,
                                   boolean fullRepair,
                                   java.lang.String... columnFamilies)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### invalidateCounterCache

          public void invalidateCounterCache()

    - #### invalidateKeyCache

          public void invalidateKeyCache()

    - #### invalidateRowCache

          public void invalidateRowCache()

    - #### drain

          public void drain()
                     throws java.io.IOException,
                            java.lang.InterruptedException,
                            java.util.concurrent.ExecutionException

      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`

    - #### getTokenToEndpointMap

          public java.util.Map<java.lang.String,java.lang.String> getTokenToEndpointMap()

    - #### getLiveNodes

          public java.util.List<java.lang.String> getLiveNodes()

    - #### getJoiningNodes

          public java.util.List<java.lang.String> getJoiningNodes()

    - #### getLeavingNodes

          public java.util.List<java.lang.String> getLeavingNodes()

    - #### getMovingNodes

          public java.util.List<java.lang.String> getMovingNodes()

    - #### getUnreachableNodes

          public java.util.List<java.lang.String> getUnreachableNodes()

    - #### getLoadMap

          public java.util.Map<java.lang.String,java.lang.String> getLoadMap()

    - #### getOwnership

          public java.util.Map<java.net.InetAddress,java.lang.Float> getOwnership()

    - #### effectiveOwnership

          public java.util.Map<java.net.InetAddress,java.lang.Float> effectiveOwnership(java.lang.String keyspace)
                                                                                 throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`

    - #### getCacheServiceMBean

          public CacheServiceMBean getCacheServiceMBean()

    - #### getAndResetGCStats

          public double[] getAndResetGCStats()

    - #### getColumnFamilyStoreMBeanProxies

          public java.util.Iterator<java.util.Map.Entry<java.lang.String,ColumnFamilyStoreMBean>> getColumnFamilyStoreMBeanProxies()

    - #### getCompactionManagerProxy

          public CompactionManagerMBean getCompactionManagerProxy()

    - #### getTokens

          public java.util.List<java.lang.String> getTokens()

    - #### getTokens

          public java.util.List<java.lang.String> getTokens(java.lang.String endpoint)

    - #### getLocalHostId

          public java.lang.String getLocalHostId()

    - #### getHostIdMap

          public java.util.Map<java.lang.String,java.lang.String> getHostIdMap()

    - #### getLoadString

          public java.lang.String getLoadString()

    - #### getReleaseVersion

          public java.lang.String getReleaseVersion()

    - #### getCurrentGenerationNumber

          public int getCurrentGenerationNumber()

    - #### getUptime

          public long getUptime()

    - #### getHeapMemoryUsage

          public java.lang.management.MemoryUsage getHeapMemoryUsage()

    - #### takeSnapshot

          public void takeSnapshot(java.lang.String snapshotName,
                          java.lang.String columnFamily,
                          java.lang.String... keyspaces)
                            throws java.io.IOException

      Take a snapshot of all the keyspaces, optionally specifying only a specific column family.
      Parameters:
        `snapshotName` - the name of the snapshot.
        `columnFamily` - the column family to snapshot or all on null
        `keyspaces` - the keyspaces to snapshot
      Throws:
        `java.io.IOException`

    - #### clearSnapshot

          public void clearSnapshot(java.lang.String tag,
                           java.lang.String... keyspaces)
                             throws java.io.IOException

      Remove all the existing snapshots.
      Throws:
        `java.io.IOException`

    - #### getSnapshotDetails

          public java.util.Map<java.lang.String,javax.management.openmbean.TabularData> getSnapshotDetails()

    - #### trueSnapshotsSize

          public long trueSnapshotsSize()

    - #### isJoined

          public boolean isJoined()

    - #### joinRing

          public void joinRing()
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decommission

          public void decommission()
                            throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### move

          public void move(java.lang.String newToken)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### removeNode

          public void removeNode(java.lang.String token)

    - #### getRemovalStatus

          public java.lang.String getRemovalStatus()

    - #### forceRemoveCompletion

          public void forceRemoveCompletion()

    - #### getThreadPoolMBeanProxies

          public java.util.Iterator<java.util.Map.Entry<java.lang.String,JMXEnabledThreadPoolExecutorMBean>> getThreadPoolMBeanProxies()

    - #### setCompactionThreshold

          public void setCompactionThreshold(java.lang.String ks,
                                    java.lang.String cf,
                                    int minimumCompactionThreshold,
                                    int maximumCompactionThreshold)

      Set the compaction threshold
      Parameters:
        `minimumCompactionThreshold` - minimum compaction threshold
        `maximumCompactionThreshold` - maximum compaction threshold

    - #### disableAutoCompaction

          public void disableAutoCompaction(java.lang.String ks,
                                   java.lang.String... columnFamilies)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### enableAutoCompaction

          public void enableAutoCompaction(java.lang.String ks,
                                  java.lang.String... columnFamilies)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setIncrementalBackupsEnabled

          public void setIncrementalBackupsEnabled(boolean enabled)

    - #### setCacheCapacities

          public void setCacheCapacities(int keyCacheCapacity,
                                int rowCacheCapacity,
                                int counterCacheCapacity)

    - #### setCacheKeysToSave

          public void setCacheKeysToSave(int keyCacheKeysToSave,
                                int rowCacheKeysToSave,
                                int counterCacheKeysToSave)

    - #### setHintedHandoffThrottleInKB

          public void setHintedHandoffThrottleInKB(int throttleInKB)

    - #### getEndpoints

          public java.util.List<java.net.InetAddress> getEndpoints(java.lang.String keyspace,
                                                          java.lang.String cf,
                                                          java.lang.String key)

    - #### getSSTables

          public java.util.List<java.lang.String> getSSTables(java.lang.String keyspace,
                                                     java.lang.String cf,
                                                     java.lang.String key)

    - #### getStreamStatus

          public java.util.Set<StreamState> getStreamStatus()

    - #### getOperationMode

          public java.lang.String getOperationMode()

    - #### truncate

          public void truncate(java.lang.String keyspaceName,
                      java.lang.String cfName)

    - #### getEndpointSnitchInfoProxy

          public EndpointSnitchInfoMBean getEndpointSnitchInfoProxy()

    - #### getCfsProxy

          public ColumnFamilyStoreMBean getCfsProxy(java.lang.String ks,
                                           java.lang.String cf)

    - #### getSpProxy

          public StorageProxyMBean getSpProxy()

    - #### getEndpoint

          public java.lang.String getEndpoint()

    - #### getDataCenter

          public java.lang.String getDataCenter()

    - #### getRack

          public java.lang.String getRack()

    - #### getKeyspaces

          public java.util.List<java.lang.String> getKeyspaces()

    - #### getClusterName

          public java.lang.String getClusterName()

    - #### getPartitioner

          public java.lang.String getPartitioner()

    - #### disableHintedHandoff

          public void disableHintedHandoff()

    - #### enableHintedHandoff

          public void enableHintedHandoff()

    - #### enableHintedHandoff

          public void enableHintedHandoff(java.lang.String dcNames)

    - #### pauseHintsDelivery

          public void pauseHintsDelivery()

    - #### resumeHintsDelivery

          public void resumeHintsDelivery()

    - #### truncateHints

          public void truncateHints(java.lang.String host)

    - #### truncateHints

          public void truncateHints()

    - #### stopNativeTransport

          public void stopNativeTransport()

    - #### startNativeTransport

          public void startNativeTransport()

    - #### isNativeTransportRunning

          public boolean isNativeTransportRunning()

    - #### stopGossiping

          public void stopGossiping()

    - #### startGossiping

          public void startGossiping()

    - #### stopThriftServer

          public void stopThriftServer()

    - #### startThriftServer

          public void startThriftServer()

    - #### isThriftServerRunning

          public boolean isThriftServerRunning()

    - #### stopCassandraDaemon

          public void stopCassandraDaemon()

    - #### isInitialized

          public boolean isInitialized()

    - #### setCompactionThroughput

          public void setCompactionThroughput(int value)

    - #### getCompactionThroughput

          public int getCompactionThroughput()

    - #### getStreamThroughput

          public int getStreamThroughput()

    - #### getExceptionCount

          public int getExceptionCount()

    - #### getDroppedMessages

          public java.util.Map<java.lang.String,java.lang.Integer> getDroppedMessages()

    - #### loadNewSSTables

          public void loadNewSSTables(java.lang.String ksName,
                             java.lang.String cfName)

    - #### rebuildIndex

          public void rebuildIndex(java.lang.String ksName,
                          java.lang.String cfName,
                          java.lang.String... idxNames)

    - #### getGossipInfo

          public java.lang.String getGossipInfo()

    - #### stop

          public void stop(java.lang.String string)

    - #### setStreamThroughput

          public void setStreamThroughput(int value)

    - #### setTraceProbability

          public void setTraceProbability(double value)

    - #### getSchemaVersion

          public java.lang.String getSchemaVersion()

    - #### describeRing

          public java.util.List<java.lang.String> describeRing(java.lang.String keyspaceName)
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### rebuild

          public void rebuild(java.lang.String sourceDc)

    - #### sampleKeyRange

          public java.util.List<java.lang.String> sampleKeyRange()

    - #### resetLocalSchema

          public void resetLocalSchema()
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isFailed

          public boolean isFailed()

    - #### getReadRepairAttempted

          public long getReadRepairAttempted()

    - #### getReadRepairRepairedBlocking

          public long getReadRepairRepairedBlocking()

    - #### getReadRepairRepairedBackground

          public long getReadRepairRepairedBackground()

    - #### getCacheMetric

          public java.lang.Object getCacheMetric(java.lang.String cacheType,
                                        java.lang.String metricName)

      Retrieve cache metrics based on the cache type (KeyCache, RowCache, or CounterCache)
      Parameters:
        `cacheType` - KeyCach, RowCache, or CounterCache
        `metricName` - Capacity, Entries, HitRate, Size, Requests or Hits.

    - #### getColumnFamilyMetric

          public java.lang.Object getColumnFamilyMetric(java.lang.String ks,
                                               java.lang.String cf,
                                               java.lang.String metricName)

      Retrieve ColumnFamily metrics
      Parameters:
        `ks` - Keyspace for which stats are to be displayed.
        `cf` - ColumnFamily for which stats are to be displayed.
        `metricName` - View `ColumnFamilyMetrics`.

    - #### getProxyMetric

          public com.yammer.metrics.reporting.JmxReporter.TimerMBean getProxyMetric(java.lang.String scope)

      Retrieve Proxy metrics
      Parameters:
        `scope` - RangeSlice, Read or Write

    - #### getCompactionMetric

          public java.lang.Object getCompactionMetric(java.lang.String metricName)

      Retrieve Proxy metrics
      Parameters:
        `metricName` - CompletedTasks, PendingTasks, BytesCompacted or TotalCompactionsCompleted.

    - #### getStorageMetric

          public long getStorageMetric(java.lang.String metricName)

      Retrieve Proxy metrics
      Parameters:
        `metricName` - Exceptions, Load, TotalHints or TotalHintsInProgress.

    - #### metricPercentilesAsArray

          public double[] metricPercentilesAsArray(com.yammer.metrics.reporting.JmxReporter.HistogramMBean metric)

    - #### getCompactionHistory

          public javax.management.openmbean.TabularData getCompactionHistory()

    - #### reloadTriggers

          public void reloadTriggers()

    - #### setLoggingLevel

          public void setLoggingLevel(java.lang.String classQualifier,
                             java.lang.String level)

    - #### getLoggingLevels

          public java.util.Map<java.lang.String,java.lang.String> getLoggingLevels()

Copyright © 2014 The Apache Software Foundation